Skip to main content
POST
/
applications
/
v1
/
projects
Create project
curl --request POST \
  --url https://api.case.dev/applications/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "gitRepo": "<string>",
  "gitBranch": "main",
  "framework": "<string>",
  "buildCommand": "<string>",
  "installCommand": "<string>",
  "outputDirectory": "<string>",
  "rootDirectory": "<string>",
  "environmentVariables": [
    {
      "key": "<string>",
      "value": "<string>",
      "target": [
        "production"
      ],
      "type": "encrypted"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
name
string
required

Human-readable project name

gitRepo
string
required

GitHub repository URL or owner/repo identifier

gitBranch
string
default:main

Git branch to deploy. Defaults to main.

framework
string

Framework preset for the hosting project, such as nextjs or remix

buildCommand
string

Custom build command to override the framework default

installCommand
string

Custom install command to override the framework default

outputDirectory
string

Build output directory relative to the project root

rootDirectory
string

Repository subdirectory that contains the app to deploy

environmentVariables
object[]

Environment variables to create before the first deployment

Response

Project created and deployment workflow started